Media
List and search meme templates
GET
/memes/templatesAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
workspace_id*string
Workspace ID
q?string
Template name, keyword, or example text
Length
length <= 120limit?integer
Maximum templates to return
Format
int64Range
1 <= value <= 250Default
40Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/memes/templates?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/ListMemeTemplatesOutputBody.json", "ai_configured": true, "catalog": { "provider_key": "string", "refreshed_at": "string", "returned": 0, "revision": "string", "stale": true, "total_templates": 0 }, "configured": true, "templates": [ { "animated": true, "blank_url": "string", "example": { "text": [ "string" ], "url": "string" }, "id": "string", "keywords": [ "string" ], "lines": 0, "name": "string", "overlays": 0, "search_terms": [ "string" ], "semantic": { "caption_roles": [ "string" ], "meaning": "string", "mechanism": "string", "tags": [ "string" ], "visual": "string" }, "source_url": "string", "styles": [ "string" ] } ]}